﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        [DllImport(@"pdf2xmlsdk.dll", CharSet = CharSet.Ansi)]
        static extern long VeryPDF2XMLSetLicenseCode(string lpRegcode);

        [DllImport(@"pdf2xmlsdk.dll", CharSet = CharSet.Ansi)]
        static extern uint VeryPDF2XMLConverter(
            [MarshalAs(UnmanagedType.LPStr)]string lpInPDF, 
            [MarshalAs(UnmanagedType.LPStr)]string lpOutXML,
            string lpOptions);

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            string strInPDFFile;
            string strOutFile;
            long nRet;
            strInPDFFile = (appPath + "\\sample.pdf");
            strOutFile = (appPath + "\\sample.xml");

            VeryPDF2XMLSetLicenseCode("XXXXXXXXXXXXXXXXXXX");

            //Create image file
            string szOptions = "-res 150 -bitcount 24 -outimg \"";
            szOptions += appPath + "\\outimage-%04d.png";
            szOptions += "\"";
            nRet = VeryPDF2XMLConverter(strInPDFFile, strOutFile, szOptions);

            //Create text file
            nRet = VeryPDF2XMLConverter(strInPDFFile, appPath + "\\outtxt.txt", "-txt");

            //Create XML file
            nRet = VeryPDF2XMLConverter(strInPDFFile, strOutFile, "");
        }
    }
}
